local function CreateWindow()
	--Create a window
	local UIConfig = CreateFrame("Frame", "Idol_Manager", UIParent, "BasicFrameTemplateWithInset");
	UIConfig:SetSize(360,265);
	UIConfig:SetPoint("CENTER", UIParent, "CENTER");

	local guildInfoName = GetGuildInfo("player");
	
	--Window Title
	UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY");
	UIConfig.title:SetFontObject("GameFontHighlight");
	UIConfig.title:SetPoint("LEFT", UIConfig.TitleBg, "LEFT", 5,0);
	UIConfig.title:SetText(guildInfoName.." - AQ Idol/Scarab Inventory");
	
	--Idol Section 
	UIConfig.txtBx1=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx1:SetFontObject("GameFontHighlight"); UIConfig.txtBx1:SetPoint("LEFT", UIConfig, "LEFT", 30,90); UIConfig.txtBx1:SetText("Idol of Death");
	UIConfig.txtBx2=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx2:SetFontObject("GameFontHighlight"); UIConfig.txtBx2:SetPoint("LEFT", UIConfig.txtBx1, "LEFT", 0,-15); UIConfig.txtBx2:SetText("Idol of Life");
	UIConfig.txtBx3=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx3:SetFontObject("GameFontHighlight"); UIConfig.txtBx3:SetPoint("LEFT", UIConfig.txtBx2, "LEFT", 0,-15); UIConfig.txtBx3:SetText("Idol of Night");
	UIConfig.txtBx4=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx4:SetFontObject("GameFontHighlight"); UIConfig.txtBx4:SetPoint("LEFT", UIConfig.txtBx3, "LEFT", 0,-15); UIConfig.txtBx4:SetText("Idol of Rebirth");
	UIConfig.txtBx5=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx5:SetFontObject("GameFontHighlight"); UIConfig.txtBx5:SetPoint("LEFT", UIConfig.txtBx4, "LEFT", 0,-15); UIConfig.txtBx5:SetText("Idol of Strife");
	UIConfig.txtBx6=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx6:SetFontObject("GameFontHighlight"); UIConfig.txtBx6:SetPoint("LEFT", UIConfig.txtBx5, "LEFT", 0,-15); UIConfig.txtBx6:SetText("Idol of War");
	UIConfig.txtBx7=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx7:SetFontObject("GameFontHighlight"); UIConfig.txtBx7:SetPoint("LEFT", UIConfig.txtBx6, "LEFT", 0,-15); UIConfig.txtBx7:SetText("Idol of the Sage");
	UIConfig.txtBx8=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBx8:SetFontObject("GameFontHighlight"); UIConfig.txtBx8:SetPoint("LEFT", UIConfig.txtBx7, "LEFT", 0,-15); UIConfig.txtBx8:SetText("Idol of the Sun");
	
	--AQ 20 Idol Section
	UIConfig.txt201=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt201:SetFontObject("GameFontHighlight"); UIConfig.txt201:SetPoint("LEFT", UIConfig, "LEFT", 200,90); UIConfig.txt201:SetText("Alabaster Idol");
	UIConfig.txt202=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt202:SetFontObject("GameFontHighlight"); UIConfig.txt202:SetPoint("LEFT", UIConfig.txt201, "LEFT", 0,-15); UIConfig.txt202:SetText("Amber Idol");
	UIConfig.txt203=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt203:SetFontObject("GameFontHighlight"); UIConfig.txt203:SetPoint("LEFT", UIConfig.txt202, "LEFT", 0,-15); UIConfig.txt203:SetText("Azure Idol");
	UIConfig.txt204=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt204:SetFontObject("GameFontHighlight"); UIConfig.txt204:SetPoint("LEFT", UIConfig.txt203, "LEFT", 0,-15); UIConfig.txt204:SetText("Jasper Idol");
	UIConfig.txt205=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt205:SetFontObject("GameFontHighlight"); UIConfig.txt205:SetPoint("LEFT", UIConfig.txt204, "LEFT", 0,-15); UIConfig.txt205:SetText("Lambent Idol");
	UIConfig.txt206=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt206:SetFontObject("GameFontHighlight"); UIConfig.txt206:SetPoint("LEFT", UIConfig.txt205, "LEFT", 0,-15); UIConfig.txt206:SetText("Obsidian Idol");
	UIConfig.txt207=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt207:SetFontObject("GameFontHighlight"); UIConfig.txt207:SetPoint("LEFT", UIConfig.txt206, "LEFT", 0,-15); UIConfig.txt207:SetText("Onyx Idol");
	UIConfig.txt208=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txt208:SetFontObject("GameFontHighlight"); UIConfig.txt208:SetPoint("LEFT", UIConfig.txt207, "LEFT", 0,-15); UIConfig.txt208:SetText("Vermillion Idol");
	
	--Scarab Section
	UIConfig.txtBxb1=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBxb1:SetFontObject("GameFontHighlight"); UIConfig.txtBxb1:SetPoint("LEFT", UIConfig, "LEFT", 30,-40); UIConfig.txtBxb1:SetText("Bone Scarab");
	UIConfig.txtBxb2=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBxb2:SetFontObject("GameFontHighlight"); UIConfig.txtBxb2:SetPoint("LEFT", UIConfig.txtBxb1, "LEFT", 0,-15); UIConfig.txtBxb2:SetText("Bronze Scarab");
	UIConfig.txtBxb3=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBxb3:SetFontObject("GameFontHighlight"); UIConfig.txtBxb3:SetPoint("LEFT", UIConfig.txtBxb2, "LEFT", 0,-15); UIConfig.txtBxb3:SetText("Clay Scarab");
	UIConfig.txtBxb4=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxb4:SetFontObject("GameFontHighlight"); UIConfig.txtBxb4:SetPoint("LEFT", UIConfig.txtBxb3, "LEFT", 0,-15); UIConfig.txtBxb4:SetText("Crystal Scarab");
	
	UIConfig.txtBxb5=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxb5:SetFontObject("GameFontHighlight"); UIConfig.txtBxb5:SetPoint("LEFT", UIConfig, "LEFT", 200,-40); UIConfig.txtBxb5:SetText("Gold Scarab");
	UIConfig.txtBxb6=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxb6:SetFontObject("GameFontHighlight"); UIConfig.txtBxb6:SetPoint("LEFT", UIConfig.txtBxb5, "LEFT", 0,-15); UIConfig.txtBxb6:SetText("Ivory Scarab");
	UIConfig.txtBxb7=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxb7:SetFontObject("GameFontHighlight"); UIConfig.txtBxb7:SetPoint("LEFT", UIConfig.txtBxb6, "LEFT", 0,-15); UIConfig.txtBxb7:SetText("Silver Scarab");
	UIConfig.txtBxb8=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxb8:SetFontObject("GameFontHighlight"); UIConfig.txtBxb8:SetPoint("LEFT", UIConfig.txtBxb7, "LEFT", 0,-15); UIConfig.txtBxb8:SetText("Stone Scarab");
	
	local strCounts = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
	local strFullString = GetGuildInfoText();
	local cntPlace; local intStartPlace; local intPlaceStrCnt;
	
	cntPlace=1;
	intStartPlace=1;
	intPlaceStrCnt=1;
	
	while(string.sub(strFullString,cntPlace,cntPlace) ~= "#")
	do
		
		if (string.sub(strFullString,cntPlace,cntPlace) == ",") then
			strCounts[intPlaceStrCnt] = string.sub(strFullString, intStartPlace + 5, cntPlace - 1);
			intPlaceStrCnt = intPlaceStrCnt + 1;
			intStartPlace = cntPlace + 1;
		end
		
		cntPlace = cntPlace + 1;
	end
		
	--Idol Counts
	UIConfig.txtBxa1=UIConfig:CreateFontString(nil, "OVERLAY"); UIConfig.txtBxa1:SetFontObject("GameFontHighlight"); UIConfig.txtBxa1:SetPoint("LEFT", UIConfig, "LEFT", 140,90); UIConfig.txtBxa1:SetText(strCounts[1]);
	UIConfig.txtBxa2=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa2:SetFontObject("GameFontHighlight"); UIConfig.txtBxa2:SetPoint("LEFT", UIConfig.txtBxa1, "LEFT", 0,-15); UIConfig.txtBxa2:SetText(strCounts[2]);
	UIConfig.txtBxa3=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa3:SetFontObject("GameFontHighlight"); UIConfig.txtBxa3:SetPoint("LEFT", UIConfig.txtBxa2, "LEFT", 0,-15); UIConfig.txtBxa3:SetText(strCounts[3]);
	UIConfig.txtBxa4=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa4:SetFontObject("GameFontHighlight"); UIConfig.txtBxa4:SetPoint("LEFT", UIConfig.txtBxa3, "LEFT", 0,-15); UIConfig.txtBxa4:SetText(strCounts[4]);
	UIConfig.txtBxa5=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa5:SetFontObject("GameFontHighlight"); UIConfig.txtBxa5:SetPoint("LEFT", UIConfig.txtBxa4, "LEFT", 0,-15); UIConfig.txtBxa5:SetText(strCounts[5]);
	UIConfig.txtBxa6=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa6:SetFontObject("GameFontHighlight"); UIConfig.txtBxa6:SetPoint("LEFT", UIConfig.txtBxa5, "LEFT", 0,-15); UIConfig.txtBxa6:SetText(strCounts[6]);
	UIConfig.txtBxa7=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa7:SetFontObject("GameFontHighlight"); UIConfig.txtBxa7:SetPoint("LEFT", UIConfig.txtBxa6, "LEFT", 0,-15); UIConfig.txtBxa7:SetText(strCounts[7]);
	UIConfig.txtBxa8=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxa8:SetFontObject("GameFontHighlight"); UIConfig.txtBxa8:SetPoint("LEFT", UIConfig.txtBxa7, "LEFT", 0,-15); UIConfig.txtBxa8:SetText(strCounts[8]);
	
	--AQ 20 Idol Counts
	UIConfig.txtBxc1=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc1:SetFontObject("GameFontHighlight"); UIConfig.txtBxc1:SetPoint("LEFT", UIConfig, "LEFT", 305,90); UIConfig.txtBxc1:SetText(strCounts[9]);
	UIConfig.txtBxc2=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc2:SetFontObject("GameFontHighlight"); UIConfig.txtBxc2:SetPoint("LEFT", UIConfig.txtBxc1, "LEFT", 0,-15); UIConfig.txtBxc2:SetText(strCounts[10]);
	UIConfig.txtBxc3=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc3:SetFontObject("GameFontHighlight"); UIConfig.txtBxc3:SetPoint("LEFT", UIConfig.txtBxc2, "LEFT", 0,-15); UIConfig.txtBxc3:SetText(strCounts[11]);
	UIConfig.txtBxc4=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc4:SetFontObject("GameFontHighlight"); UIConfig.txtBxc4:SetPoint("LEFT", UIConfig.txtBxc3, "LEFT", 0,-15); UIConfig.txtBxc4:SetText(strCounts[12]);
	UIConfig.txtBxc5=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc5:SetFontObject("GameFontHighlight"); UIConfig.txtBxc5:SetPoint("LEFT", UIConfig.txtBxc4, "LEFT", 0,-15); UIConfig.txtBxc5:SetText(strCounts[13]);
	UIConfig.txtBxc6=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc6:SetFontObject("GameFontHighlight"); UIConfig.txtBxc6:SetPoint("LEFT", UIConfig.txtBxc5, "LEFT", 0,-15); UIConfig.txtBxc6:SetText(strCounts[14]);
	UIConfig.txtBxc7=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc7:SetFontObject("GameFontHighlight"); UIConfig.txtBxc7:SetPoint("LEFT", UIConfig.txtBxc6, "LEFT", 0,-15); UIConfig.txtBxc7:SetText(strCounts[15]);
	UIConfig.txtBxc8=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc8:SetFontObject("GameFontHighlight"); UIConfig.txtBxc8:SetPoint("LEFT", UIConfig.txtBxc7, "LEFT", 0,-15); UIConfig.txtBxc8:SetText(strCounts[16]);
	
	UIConfig.txtBxc1=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc1:SetFontObject("GameFontHighlight"); UIConfig.txtBxc1:SetPoint("LEFT", UIConfig, "LEFT", 140,-40); UIConfig.txtBxc1:SetText(strCounts[17]);
	UIConfig.txtBxc2=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc2:SetFontObject("GameFontHighlight"); UIConfig.txtBxc2:SetPoint("LEFT", UIConfig.txtBxc1, "LEFT", 0,-15); UIConfig.txtBxc2:SetText(strCounts[18]);
	UIConfig.txtBxc3=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc3:SetFontObject("GameFontHighlight"); UIConfig.txtBxc3:SetPoint("LEFT", UIConfig.txtBxc2, "LEFT", 0,-15); UIConfig.txtBxc3:SetText(strCounts[19]);
	UIConfig.txtBxc4=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc4:SetFontObject("GameFontHighlight"); UIConfig.txtBxc4:SetPoint("LEFT", UIConfig.txtBxc3, "LEFT", 0,-15); UIConfig.txtBxc4:SetText(strCounts[20]);
	
	UIConfig.txtBxc5=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc5:SetFontObject("GameFontHighlight"); UIConfig.txtBxc5:SetPoint("LEFT", UIConfig, "LEFT", 305,-40); UIConfig.txtBxc5:SetText(strCounts[21]);
	UIConfig.txtBxc6=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc6:SetFontObject("GameFontHighlight"); UIConfig.txtBxc6:SetPoint("LEFT", UIConfig.txtBxc5, "LEFT", 0,-15); UIConfig.txtBxc6:SetText(strCounts[22]);
	UIConfig.txtBxc7=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc7:SetFontObject("GameFontHighlight"); UIConfig.txtBxc7:SetPoint("LEFT", UIConfig.txtBxc6, "LEFT", 0,-15); UIConfig.txtBxc7:SetText(strCounts[23]);
	UIConfig.txtBxc8=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtBxc8:SetFontObject("GameFontHighlight"); UIConfig.txtBxc8:SetPoint("LEFT", UIConfig.txtBxc7, "LEFT", 0,-15); UIConfig.txtBxc8:SetText(strCounts[24]);
	
	UIConfig.txtDtStamp=UIConfig:CreateFontString(nil, "OVERLAY");	UIConfig.txtDtStamp:SetFontObject("GameFontHighlight"); UIConfig.txtDtStamp:SetPoint("LEFT", UIConfig, "LEFT", 30,-110); UIConfig.txtDtStamp:SetText("Last Update: "..string.sub(strFullString,cntPlace + 1, -2));
end

local function UpdateIdolCounts()
	local IdolCounts20 = {0,0,0,0,0,0,0,0};
	local IdolCounts = {0,0,0,0,0,0,0,0};
	local ScarabCounts = {0,0,0,0,0,0,0,0};
	
	local BgID=-1;
	local BgSlot=1;
	
	while (BgID<=11)
	do
		while (BgSlot <= GetContainerNumSlots(BgID))
		do
			local BgItemID=GetContainerItemID(BgID,BgSlot)
			if(BgItemID ~= nil) then
				local _,itemCount = GetContainerItemInfo(BgID,BgSlot);
				if (BgItemID == 20873) then IdolCounts20[1]=IdolCounts20[1]+itemCount end
				if (BgItemID == 20869) then IdolCounts20[2]=IdolCounts20[2]+itemCount end
				if (BgItemID == 20866) then IdolCounts20[3]=IdolCounts20[3]+itemCount end
				if (BgItemID == 20870) then IdolCounts20[4]=IdolCounts20[4]+itemCount end
				if (BgItemID == 20868) then IdolCounts20[5]=IdolCounts20[5]+itemCount end
				if (BgItemID == 20871) then IdolCounts20[6]=IdolCounts20[6]+itemCount end
				if (BgItemID == 20867) then IdolCounts20[7]=IdolCounts20[7]+itemCount end
				if (BgItemID == 20872) then IdolCounts20[8]=IdolCounts20[8]+itemCount end
				
				if (BgItemID == 20876) then IdolCounts[1]=IdolCounts[1]+itemCount end
				if (BgItemID == 20879) then IdolCounts[2]=IdolCounts[2]+itemCount end
				if (BgItemID == 20875) then IdolCounts[3]=IdolCounts[3]+itemCount end
				if (BgItemID == 20878) then IdolCounts[4]=IdolCounts[4]+itemCount end
				if (BgItemID == 20881) then IdolCounts[5]=IdolCounts[5]+itemCount end
				if (BgItemID == 20882) then IdolCounts[6]=IdolCounts[6]+itemCount end
				if (BgItemID == 20877) then IdolCounts[7]=IdolCounts[7]+itemCount end
				if (BgItemID == 20874) then IdolCounts[8]=IdolCounts[8]+itemCount end
			
				if (BgItemID == 20864) then ScarabCounts[1]=ScarabCounts[1]+itemCount end
				if (BgItemID == 20861) then ScarabCounts[2]=ScarabCounts[2]+itemCount end
				if (BgItemID == 20863) then ScarabCounts[3]=ScarabCounts[3]+itemCount end
				if (BgItemID == 20862) then ScarabCounts[4]=ScarabCounts[4]+itemCount end
				if (BgItemID == 20859) then ScarabCounts[5]=ScarabCounts[5]+itemCount end
				if (BgItemID == 20865) then ScarabCounts[6]=ScarabCounts[6]+itemCount end
				if (BgItemID == 20860) then ScarabCounts[7]=ScarabCounts[7]+itemCount end
				if (BgItemID == 20858) then ScarabCounts[8]=ScarabCounts[8]+itemCount end
			end
			BgSlot = BgSlot + 1;
		end
		BgID = BgID + 1;
		BgSlot = 1;
	end
	
	SetGuildInfoText("20876"..IdolCounts[1]..",20879"..IdolCounts[2]..",20875"..IdolCounts[3]..",20878"..IdolCounts[4]..",20881"..IdolCounts[5]..",20882"..IdolCounts[6]..",20877"..IdolCounts[7]..",20874"..IdolCounts[8]..",20873"..IdolCounts20[1]..",20869"..IdolCounts20[2]..",20866"..IdolCounts20[3]..",20870"..IdolCounts20[4]..",20868"..IdolCounts20[5]..",20871"..IdolCounts20[6]..",20867"..IdolCounts20[7]..",20872"..IdolCounts20[8]..",20864"..ScarabCounts[1]..",20861"..ScarabCounts[2]..",20863"..ScarabCounts[3]..",20862"..ScarabCounts[4]..",20859"..ScarabCounts[5]..",20865"..ScarabCounts[6]..",20860"..ScarabCounts[7]..",20858"..ScarabCounts[8]..",#"..date("%m/%d/%y %H:%M:%S").."#");
	print("Idol Update Completed: "..date("%m/%d/%y %H:%M:%S"));
end	

SLASH_IDOLDISPLAY1 = "/idol"
SlashCmdList.IDOLDISPLAY = CreateWindow;

SLASH_IDOLUPDATE1 = "/idolupdate"
SlashCmdList.IDOLUPDATE = UpdateIdolCounts;